Bug 3339 - globus-wsrf-cgen service-only package generating anyway client bindings
: globus-wsrf-cgen service-only package generating anyway client bindings
Status: RESOLVED FIXED
: C WS Core
Bindings Generation
: 4.0.0
: Macintosh All
: P3 normal
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-05-11 22:23 by
Modified: 2008-01-11 15:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-11 22:23:02
Hi, 

I have discovered that the globus-wsrf-cgen tool, when asked to generate service bindings only, also 
tries to generate client bindings. When you compile the generated files, an error results due to ar trying 
to build a static client binding library without any object file in it.

This looks like a bug in the service-only package template Makefile. This makefile should not generate 
a client bindings library.

The problem occurs in Mac OS 10.4, not on linux (due to Mac OS X being correctly more strict about 
these things than linux).

Best regards,

Massimo
------- Comment #1 From 2005-06-03 18:13:45 -------
I've committed fixes to this to the 4.0 branch and trunk of our CVS. These
fixes
will be part of the 4.0.1 update release in the next few weeks.
------- Comment #2 From 2005-06-07 03:59:32 -------
Hi,

will you please make sure that the new GT4.0.1 will compile and work fine on Mac OS X 10.4.1 with the 
latest developer tools that have been released yesterday? There is now a new version of gcc 4, so it is 
best to check this before releasing GT4.0.1

The new developer tools are freely available from Apple Developer Connection at

http://developer.apple.com/

Cheers,
Massimo